# Pip3 / UserMode
if [ -d "$HOME/.local/bin" ]; then
    export PATH=$PATH:$HOME/.local/bin
fi

# Docker Rootless
if [ -f "$HOME/.config/systemd/user/docker.service" ]; then
    export DOCKER_HOST=unix:///run/user/$(id -u)/docker.sock
fi

# Golang
if [ -f "/usr/local/go/bin/go" ]; then
    export PATH=$PATH:/usr/local/go/bin
fi
if [ -f "$HOME/.local/go/bin/go" ]; then
    export PATH=$PATH:$HOME/.local/go/bin
fi

# Yarn
if [ -d "$HOME/.yarn" ]; then
    export PATH=$PATH:$HOME/.yarn/bin
fi

# WSL1
if [ -f "/proc/version" ]; then
    if grep -q Microsoft /proc/version; then
        # Xming
        export DISPLAY=:0;
    fi
fi
